Tomboy note names are blank in the Application Indicator fallback menu

Bug #627744 reported by Martin Pool on 2010-09-01
112
This bug affects 19 people
Affects Status Importance Assigned to Milestone
indicator-application (Ubuntu)
Low
Unassigned
Maverick
Undecided
Unassigned
Natty
Low
Unassigned
tomboy (Ubuntu)
High
Ken VanDine
Maverick
Undecided
Unassigned
Natty
High
Ken VanDine

Bug Description

Binary package hint: tomboy

This is a recent regression in Maverick.

As of today, when I click the Tomboy panel applet, I see ten notes listed, but no text next to them in the menu. I can click one of them and it opens the note correctly, and the notes come up in the search dialog correctly too, they just have no text in the menu.

When I start it from a terminal I see

[INFO 10:23:27.390] Initializing Mono.Addins
(Tomboy:4238): Gtk-WARNING **: Inserting action group 'Notebooks' into UI manager which already has a group with this name
[WARN 10:24:39.436] libproxy not installed

I don't know if that's related. Quitting and restarting tomboy doesn't help.

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: tomboy 1.3.2-1ubuntu2
ProcVersionSignature: Ubuntu 2.6.35-19.28-generic 2.6.35.3
Uname: Linux 2.6.35-19-generic x86_64
Architecture: amd64
Date: Wed Sep 1 10:49:37 2010
EcryptfsInUse: Yes
ProcEnviron:
 PATH=(custom, user)
 LANG=en_AU.utf8
 SHELL=/bin/zsh
SourcePackage: tomboy

TEST CASE:
1. Install tomboy
2. Open tomboy if not in panel
3. left-click the panel icon to see the list of notes in Tomboy
4. Observe whether or not the text is there.

VERIFICATION DONE
After installing tomboy from maverick-proposed, the text for the notes is present. The icons have disappeared, but this is preferred fallback vs text missing.

I can not verify the fix for Natty, as I don't seem to have a fix in natty-proposed.

Martin Pool (mbp) wrote :
Changed in tomboy (Ubuntu):
status: New → Confirmed
dazza5000 (darran-kelinske) wrote :

I was looking for an upstream bug in gnome, but was unable to find one.

Please see if this problem still exists when you use tomboy as a panel applet by right-clicking the GNOME panel and selecting "add to panel" (make sure Tomboy isn't already running when you do this).

If the panel applet menu works in that case, then this is an appindicator bug and not an upstream issue (Ubuntu ships a patch to add appindicator support to Tomboy).

On 11 September 2010 01:48, Sandy Armstrong <email address hidden> wrote:
> Please see if this problem still exists when you use tomboy as a panel
> applet by right-clicking the GNOME panel and selecting "add to panel"
> (make sure Tomboy isn't already running when you do this).
>
> If the panel applet menu works in that case, then this is an
> appindicator bug and not an upstream issue (Ubuntu ships a patch to add
> appindicator support to Tomboy).

I haven't been able to reproduce it, but I'm pretty sure I was using
it as an indicator when I hit this, so that sounds like a reasonable
hypothesis.
--
Martin

I did run this as a panel applet in Xubuntu, by adding the launcher to the panel myself. When doing this in Xubuntu using Xfce4, it starts Tomboy as a tray applet. This gives the same, text-missing, list of notes.

@Charlie: adding a launcher to the XFCE panel is not the same as running Tomboy as a GNOME panel applet. This still sounds like an appindicator bug.

Charlie Kravetz (charlie-tca) wrote :

Added task for indicator-application. Tomboy developer thinks that is where the bug really is.

On Wed, Sep 15, 2010 at 7:48 AM, Charlie Kravetz <email address hidden> wrote:
> Added task for indicator-application. Tomboy developer thinks that is
> where the bug really is.

Well to be more clear, it could be a bug in the appindicator patch
that Ubuntu applies to Tomboy in their package. So it would be a
"Tomboy (Ubuntu)" bug or whatever if that were the case.

Assigning to Karl, who is handling app indicator issues, but his C# is rusty. If anyone (Sense?) can have a look at this we'd appreciate it.

Changed in tomboy (Ubuntu):
assignee: nobody → Karl Lattimer (karl-qdh)

Somebody filed a bug upstream on this, if you're looking for somebody else who can reproduce the issue: https://bugzilla.gnome.org/show_bug.cgi?id=629927

Not being able to see any note names in the menu is a pretty big deal. Any chance we can up the importance of this?

Jorge Castro (jorge) wrote :

Neither myself nor Karl can reproduce this.

Charlie Kravetz (charlie-tca) wrote :

I have tried everything I know to try and get a screenshot, but that doesn't seem possible. However, I do know that having to call up the "Search all notes" to see them everytime is defeating the purpose of Tomboy in the sysem tray. It takes up room as an icon, but really is worthless there now. It does work in 10.04, but in Maverick, the list is blank. Even using a fresh install - iso image dated 2010-09-17 - in VirtualBox, without adding more notes, the list is empty.

Charlie Kravetz (charlie-tca) wrote :

Well, apparently, I am wrong. I am able to screenshot a VBox window afterall. Here is the image

Changed in tomboy (Ubuntu):
importance: Undecided → Medium

Also, `gnome-screenshot -d 5` will take a screenshot after a 5 second
delay, making it easier to get screenshots of menus.

I cannot reproduce this either on a fairly fresh Maverick install. For me the situation is actually reversed: the note menu items display text, but no icons.

Karl Lattimer (karl-qdh) wrote :

Is there a way to reproduce this bug at all? Charlie Kravetz? Martin Pool?

Jeff Schroeder (sejeff) wrote :

Steps to reproduce for me:

1.) Have a bunch of notes in Lucid (about 220 or so)
2.) Upgrade to Maverick using "sudo update-manager -c -d"
3.) Open tomboy and realize none of your notes show titles
4.) Curse profusely as one of your most important apps is worthless due to ubuntu specific "customizations"

Karl Lattimer (karl-qdh) wrote :

@Jeff Schroeder followed steps 1 and 2, step 3 and 4 don't occur for me :/

What architecture are affected folks using? What CPUs? 32-bit or
64-bit Maverick?

Anything else that might be useful here?

On Mon, Sep 20, 2010 at 5:34 AM, Karl Lattimer <email address hidden> wrote:
> @Jeff Schroeder followed steps 1 and 2, step 3 and 4 don't occur for me
> :/
>
> --
> note names are blank in applet menu
> https://bugs.launchpad.net/bugs/627744
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Of course this can be reproduced. I can reproduce it in both 32bit and 64bit VirtualBox machines simply by installing Tomboy. As you can see in the screen shot attached in comment 13, it really does exist! I also have this in my 64bit installation I use daily.

Charlie Kravetz (charlie-tca) wrote :

I have to wonder if this is connected to the Nvidia video drivers. I am using the driver from Hardware Drivers, on each system that loses the titles of the notes. Plymouth does not display splash screens correctly on any system not "KMS" capable, which includes those VirtualBox machines.

Any one experiencing this not using VBox or Nvidia?

Karl Lattimer (karl-qdh) wrote :

After some discussion and testing it appears that what is occurring is the following;

When tomboy starts, because it's patched for app indicators it passes through the app indicator service and appears in the status area when the indicator applet is missing. When it appears in the status area the labels are missing.

I've tested and confirmed this hypothesis, this also explains why the problem also appears in xfce.

The bug is probably in the mono bindings for app indicators, as this is the only application showing this behaviour (that we know of) potentially banshee would also behave the same although the indicator's for banshee i assume are loaded into the sound menu.

Sense apparently has been working on updating the mono bindings for other reasons but his work will potentially fix this bug.

summary: - note names are blank in applet menu
+ Tomboy note names are blank in the Application Indicator fallback menu
Changed in indicator-application (Ubuntu):
importance: Undecided → Low
Jeff Schroeder (sejeff) wrote :

Low? An Ubuntu-specific change (app indicator code) to an application that ships by default makes it completely unusable for most users. How can this possibly be set to low priority?

On 29 September 2010 14:45, Jeff Schroeder <email address hidden> wrote:
> Low? An Ubuntu-specific change (app indicator code) to an application
> that ships by default makes it completely unusable for most users. How
> can this possibly be set to low priority?
>
I would like to point out that this bug only occurs when Tomboy is
used in the fall-back mode of the Application Indicators, which is
only the case when the Indicator Applet was removed from the panel.
That is not the default setup, and is impossible in Unity.
Therefore, the bulk of the users will probably never encounter this issue.

Regards,
--
Sense Hofstede

Jeff Schroeder (sejeff) wrote :

I fresh installed Lucid when it came out and recently updated to Maverick. I was rudely hit with this bug. I do not believe that the majority of Ubuntu users will use the Unity interface even though it is awful pretty.

If I'm understanding correctly what you mean, I've got the indicator applet on my system yet this bug still presents itsself. The Indicator Applet is the applet with your username that lets you logout or shutdown / restart, right? If so, I think you are mistaken.

Sense Egbert Hofstede (sense) wrote :

On 29 September 2010 17:30, Jeff Schroeder <email address hidden> wrote:
> I fresh installed Lucid when it came out and recently updated to
> Maverick. I was rudely hit with this bug. I do not believe that the
> majority of Ubuntu users will use the Unity interface even though it is
> awful pretty.
>
> If I'm understanding correctly what you mean, I've got the indicator
> applet on my system yet this bug still presents itsself. The Indicator
> Applet is the applet with your username that lets you logout or shutdown
> / restart, right? If so, I think you are mistaken.
>
The applet you use for restarting, shutting down and doing a quick
tweet/dent is the Session Applet, and shows your name in the panel.

The Indicator Applet shows the Sound Menu and the Application
Indicators. Both have fall-back mechanisms, so you might not notice it
if you've got the default notification area on your panel but not the
Indicator Applet.

Regards,
Sense Hofstede

Charlie Kravetz (charlie-tca) wrote :

Sense: I use Xubuntu, which does not Application Indicators, which means every Xubuntu user will encounter this issue. I think it would be good to remember, this is not a gnome/ubuntu only application. If it is used by any derivative, it should still work as intended. Why are we chosen to be ignored or forced to change applications because of the Application Indicators written strictly for Ubuntu?

Jeff indicates that he had a fairly default Lucid install that he
upgraded to Maverick.

Is it true that this bug will impact every user who has a fairly stock
Lucid install, uses Tomboy (not as a panel applet), and upgrades to
Maverick? If so, this seems like it should be higher priority.

Sense Egbert Hofstede (sense) wrote :

On 29 September 2010 18:14, Sandy Armstrong <email address hidden> wrote:
> Jeff indicates that he had a fairly default Lucid install that he
> upgraded to Maverick.
>
> Is it true that this bug will impact every user who has a fairly stock
> Lucid install, uses Tomboy (not as a panel applet), and upgrades to
> Maverick?  If so, this seems like it should be higher priority.
>

From our testing we have concluded that it is true that this will
affect anyone on Maverick, having upgraded or not, who doesn't have
the Indicator Applet on the panel.

Regards,
Sense Hofstede

Jorge Castro (jorge) wrote :

Karl when you resume work please make this bug a priority.

Changed in tomboy (Ubuntu):
importance: Medium → High
Sebastien Bacher (seb128) wrote :

Replying to some comments before:

- the setting of the indicator-application task only has been changed, it should maybe have been closed because that bug is on one component, either in tomboy or in the library, one of the task is wrong there
- the fact that the indicator-application task has been lowered doesn't mean the bug will not be worked or that patches are not welcome
- nobody ignore derivate, as a derivate maintainer you are welcome to help fixing bugs, nobody has created the bug on purpose to force you to use GNOME, it's just a bug...

Is there a way to bring back the normal systray for Tomboy?
I don't like this (indicator-like)behavior, I understand that Canonical design people think they know better but they should understand people who disagree with them. It's not that hard to add a checkbox or heck a gconf key.

Jeff Schroeder (sejeff) wrote :

Thats very unlikely. You could always build the version from debian using pbuilder or just compile from source.

Charlie Kravetz (charlie-tca) wrote :

István: There are also other applications those of us who are not developers/programmers might look at. One that comes to mind is called "gnotes", which works without attempting to learn a new programming language or even trying to compile it ourselves.

We used to maintain a Tomboy PPA that was pure upstream, but nobody
has had time lately to keep it up-to-date. If we do get back to it,
though, that would be the easiest way to get unpatched Ubuntu
packages.

Sebastien Bacher (seb128) wrote :

> It's not that hard to add a checkbox or heck a gconf key.

it's not trivial either, it means having extra option and two codepath to maintain, which means extra work, extra code complexity, extra bugs, etc

On Fri, Oct 1, 2010 at 7:33 AM, Sebastien Bacher <email address hidden> wrote:
>> It's not that hard to add a checkbox or heck a gconf key.
>
> it's not trivial either, it means having extra option and two codepath
> to maintain, which means extra work, extra code complexity, extra bugs,
> etc

Lol, that's exactly what's already happening. There are two
codepaths, one of which is maintained by upstream Tomboy, and one of
which is occasionally maintained by Canonical.

This bug is one of the "extra bugs" you mention.

Adding a hidden gconf option to let users switch back to the code path
that is supported by upstream would, in point of fact, be quite
trivial.

As it happens, the reason I never accepted this patch upstream is
because I think the tray stuff should all be refactored into add-ins,
so that users can pick which they use. I haven't had time to do the
work, so I haven't taken the appindicator patch, and here we are.

Richard Henry Lee (rhlee) wrote :

This bug would not be an issue for me if I did not have two sets of notes.

Using the Indicator Applet is fine if you are using one set of notes which are in the default directory. However my work notes are there, but my home notes are in my dropbox folder. I run "tomboy --note-path /home/rhlee/Dropbox/tbnotes/home" to acess my home notes.

Unfortunately I cannot run my home notes with the Indicator Applet. If I add the Indicator Applet, it uses the work notes in my home directory. Any successive instance of Tomboy, regardless of the sprecified note path option, will just bring up the currently running Tomboy instance.

I tried firing up my home notes first and then firing up the Indicator applet, but it doesn't run, hoping that the Indicator Applet would use instance of Tomboy using my home note. But I get the following error:

"The panel encountered a problem while loading "OAFIID:TomboyApplet".

Do you want to delete the applet from your configuration?"

Can I get round this by compiling tomboy from source?

On Mon, Oct 11, 2010 at 3:09 AM, Richard Lee (Canonical)
<email address hidden> wrote:
> This bug would not be an issue for me if I did not have two sets of
> notes.

Running two instances of Tomboy is not recommended or supported.

> I tried firing up my home notes first and then firing up the Indicator
> applet, but it doesn't run, hoping that the Indicator Applet would use
> instance of Tomboy using my home note. But I get the following error:
>
> "The panel encountered a problem while loading "OAFIID:TomboyApplet".

That's because Tomboy actively prevents you from running multiple
instances. If you are able to do it in any way, it is a bug that we
will attempt to fix.

> Can I get round this by compiling tomboy from source?

Try uninstalling the package and installing the 1.4.0 tarball from
GNOME FTP. It won't have the appindicator patch applied.

I'd like to note that I'm experiencing the same problem when using tomboy in the indicator applet, however if I quit that instance and then use "Add to panel" to create a separate icon, then the new icon will be working fine as it did in lucid. This could work as a temporary workaround until this bug is fixed.

Richard Henry Lee (rhlee) wrote :

Yeah, 1.4 from source works.

Karl Lattimer (karl-qdh) on 2010-10-15
Changed in tomboy (Ubuntu):
status: Confirmed → In Progress
Karl Lattimer (karl-qdh) wrote :

I have a fix for this bug which I'm busy uploading to my ppa

ppa:karl-qdh/ppa

The fix will be available shortly if everything goes well.

The patch applied in this fix will be uploaded here in a short while for those who can't wait for the build.

Karl Lattimer (karl-qdh) wrote :

This is a replacement distro patch for app indicators which possibly fixes bug #660525 as well this bug.

Changed in tomboy (Ubuntu):
status: In Progress → Fix Committed
tags: added: patch
Jorge Castro (jorge) on 2010-10-19
Changed in tomboy (Ubuntu):
assignee: Karl Lattimer (karl-qdh) → Ken VanDine (ken-vandine)
Ken VanDine (ken-vandine) wrote :

With the updated patch the text isn't blank in the fallback, but with either the indicator or the fallback, the menu items won't open any notes. The non-note menu items are fine, but the notes won't open.

Changed in tomboy (Ubuntu):
assignee: Ken VanDine (ken-vandine) → Karl Lattimer (karl-qdh)
Karl Lattimer (karl-qdh) wrote :

Overlooked a slight missing signal :(

so here's a working version of the patch which actually opens notes :)

In my case, this bug is already fixed with the release of 10.10.

Changed in tomboy (Ubuntu):
assignee: Karl Lattimer (karl-qdh) → nobody

Accepted tomboy into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tomboy (Ubuntu Maverick):
status: New → Fix Committed
tags: added: verification-needed
Changed in indicator-application (Ubuntu Maverick):
status: New → Invalid
Changed in indicator-application (Ubuntu Natty):
status: New → Invalid

For anyone affected by this bug, the Tomboy PPA has been updated with the latest stable version of Tomboy:

https://edge.launchpad.net/~tomboy-packagers/+archive/stable/+packages

Packages from that repository do not have this bug, because they do not contain any Ubuntu-specific patches. Another nice benefit of using this PPA is immediate access to bugfix releases.

The downside, of course, is that if you like Ubuntu's appindicator support, you'll have to wait for the patched Ubuntu package.

Jorge Castro (jorge) wrote :

Can someone who reported or is tracking this bug please confirm that the packages in Sandy's PPA works for them so we can move this bug forward? Thanks!

El 15/11/10 16:29, Jorge O. Castro escribió:
> Can someone who reported or is tracking this bug please confirm that the
> packages in Sandy's PPA works for them so we can move this bug forward?
> Thanks!
>
I installed tomboy_1.4.2-0ubuntu1~ppa~maverick0_amd64.deb from Sandy's
PPA and it works.

Riccardo Capecchi (riccio-cri) wrote :

I just tested the 32 bit release: tomboy_1.4.2-0ubuntu1~ppa~maverick0_i386.deb and worked fine too.

Charlie Kravetz (charlie-tca) wrote :

Verified the fix in proposed works on 64bit Xubuntu. There are now text lines for the notes.

Sandy's PPA is the tomboy packages without any Ubuntu changes. That should not be replacing the packages. Instead, I think we are going to replace
    tomboy 1.4.0-0ubuntu2
with
    tomboy 1.4.2-0ubuntu1
aren't we?

that is the package in -proposed.

tags: added: verification-done
removed: verification-needed
Charlie Kravetz (charlie-tca) wrote :

Information from an installation of tomboy in Natty:

tomboy:
  Installed: 1.5.2-1ubuntu1
  Candidate: 1.5.2-1ubuntu1
  Version table:
 *** 1.5.2-1ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

Unfortunately, this version does include the fix in -proposed for the missing text. Can the patch be ported to Natty, please.

description: updated
Charlie Kravetz (charlie-tca) wrote :

oops, fingers did not work again. Append comment# 53 to say, Unfortunately, this version in Natty does NOT include the fix in -proposed.

Charlie Kravetz (charlie-tca) wrote :

Verified in both 32bit and 64bit Xubuntu Maverick. Note names show up when the panel icon is clicked after installing from maverick proposed. Thank you very much for the fix and your patience.

Jorge Gustavo (jgr) wrote :

Verified in Ubuntu Maverick, amd64.

With
tomboy_1.4.2-0ubuntu1~ppa~maverick0_amd64.deb
the note names were back to the panel.

Thank you!

Martin Pitt (pitti) wrote :

Please upload to natty ASAP, so that this can go to maverick-updates.

Martin Pitt (pitti) wrote :

Can anyone comment whether this is fixed in natty's 1.5.2?

Changed in tomboy (Ubuntu Natty):
assignee: nobody → Ken VanDine (ken-vandine)
Charlie Kravetz (charlie-tca) wrote :

This is not fixed in Xubuntu Natty Narwhal as of 2010-12-03. Tomboy version is 1.5.2; I am attaching a screenshot showing the missing names.

2010-12-03 06:07
 charlie@wecan: ~ $ apt-cache policy tomboy
tomboy:
  Installed: 1.5.2-1ubuntu3
  Candidate: 1.5.2-1ubuntu3
  Version table:
 *** 1.5.2-1ubuntu3 0
        500 http://us.archive.ubuntu.com/ubuntu/ natty/main amd64 Packages
        100 /var/lib/dpkg/status

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomboy - 1.5.2-1ubuntu4

---------------
tomboy (1.5.2-1ubuntu4) natty; urgency=low

  * debian/patches/04_app_indicator.patch:
    - Tomboy note names are blank in the Application Indicator fallback
      menu (LP: #627744)
 -- Ken VanDine <email address hidden> Fri, 03 Dec 2010 08:57:00 -0500

Changed in tomboy (Ubuntu Natty):
status: Fix Committed → Fix Released
Charlie Kravetz (charlie-tca) wrote :

Thank you for the fix in Nattty too. Verified it is now working. Got Note names without the yellow icon, which is very acceptable.

Martin Pitt (pitti) on 2010-12-10
Changed in tomboy (Ubuntu Maverick):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.